curl -X GET "https://api.memanto.ai/agents" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agents": [
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}
],
"count": 1,
"warnings": []
}
Agents
List Agents
List the agents this key can use, newest first.
GET
/
agents
curl -X GET "https://api.memanto.ai/agents" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agents": [
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}
],
"count": 1,
"warnings": []
}
Overview
Lists the agents you own plus agents other people shared with you, newest first.Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Query Parameters
Count each agent’s memories live. Pass
false for a faster response that uses the stored count.curl -X GET "https://api.memanto.ai/agents" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"agents": [
{
"agent_id": "my-agent",
"pattern": "tool",
"description": "Coding assistant memory",
"created_at": "2026-11-19T15:04:05.000Z",
"status": "ready",
"memory_count": 42
}
],
"count": 1,
"warnings": []
}